//
// Message Catalog for Mike Bradys plugin nodes
//
// Header Section
//FacilityNames=(
//   System=0x0FF
//   Application=0xFFF
//   ) 
//LanguageNames=(
//   English=1:MBEN_US1
//   )
// Message Section
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: MJB_NODE_FACTORY_CREATED
//
// MessageText:
//
//  Broker (%1!s!) has created plugin node factory %2!s! successfully.
//
#define MJB_NODE_FACTORY_CREATED         ((int)0x40000001L)

//
// MessageId: MJB_NODE_CLASS_CREATION_FAILED
//
// MessageText:
//
//  Broker (%1!s!) plugin node factory %2!s! has failed to create node %3!s!.
//
#define MJB_NODE_CLASS_CREATION_FAILED   ((int)0xC0000002L)

//
// MessageId: MJB_RESOURCE_CREATION_FAILED
//
// MessageText:
//
//  Broker (%1!s!) plugin node factory %2!s! has failed to create resource %3!s!.
//
#define MJB_RESOURCE_CREATION_FAILED     ((int)0xC0000003L)

//
// MessageId: MJB_UNRECOGNISED_NODE
//
// MessageText:
//
//  Broker (%1!s!) called evaluate() with unrecognised node name (%2!s!).
//
#define MJB_UNRECOGNISED_NODE            ((int)0xC0000004L)

//
// MessageId: MJB_UNRECOGNISED_NODE_CREATE_CONTEXT
//
// MessageText:
//
//  Broker (%1!s!) called createContext() with unrecognised node name (%2!s!).
//
#define MJB_UNRECOGNISED_NODE_CREATE_CONTEXT ((int)0xC0000005L)

//
// MessageId: MJB_TERMINAL_DOES_NOT_EXIST
//
// MessageText:
//
//  Broker (%1!s!) detected that requested terminal '%2!s!' does not exist in message flow.
//
#define MJB_TERMINAL_DOES_NOT_EXIST      ((int)0xC0000006L)

//
// MessageId: MJB_TERMINAL_NOT_ATTACHED
//
// MessageText:
//
//  Broker (%1!s!) detected that requested terminal '%2!s!' is not attached to message flow.
//
#define MJB_TERMINAL_NOT_ATTACHED        ((int)0xC0000007L)

//
// MessageId: MJB_MESSAGE_NOT_PROPAGATED
//
// MessageText:
//
//  Broker (%1!s!) detected that an error occurred when propagating message (rc = %2!s!).
//
#define MJB_MESSAGE_NOT_PROPAGATED       ((int)0xC0000008L)

//
// MessageId: MJB_NODE_CONTEXT_DELETED
//
// MessageText:
//
//  Broker (%1!s!) successfully deleted context for node %2!s! (label=%3!s!).
//
#define MJB_NODE_CONTEXT_DELETED         ((int)0x40000009L)

//
// MessageId: MJB_NODE_FACTORY_CREATED_UNIX
//
// MessageText:
//
//  Broker has created plugin node factory %1!s! successfully.
//
#define MJB_NODE_FACTORY_CREATED_UNIX    ((int)0x4000000AL)

//
// MessageId: MJB_FAILED_TO_LOCATE_SYNTAX_ELEMENT
//
// MessageText:
//
//  Broker (%1!s!) failed to locate syntax element specified for the '%2!s!' attribute in message.  The syntax element path is %3!s!.  Message propagated to failure terminal.
//
#define MJB_FAILED_TO_LOCATE_SYNTAX_ELEMENT ((int)0xC000000BL)

//
// MessageId: MJB_INVALID_COPY_VALUE_TO_SYNTAX_ELEMENT_NAME
//
// MessageText:
//
//  Broker (%1!s!) detected that the syntax element name specified in the %2!s! property of node %3!s! is invalid.  The element path is %4!s!.  A valid name must reference a compatible element in the syntax tree.  The values 'Root.' and 'Root.XML.' are valid name stems, but cannot be used without further qualification.  Message propagated to failure terminal.
//
#define MJB_INVALID_COPY_VALUE_TO_SYNTAX_ELEMENT_NAME ((int)0xC000000CL)

//
// MessageId: MJB_FAILED_TO_STORE_UUID_VALUE_IN_SYNTAX_ELEMENT
//
// MessageText:
//
//  Broker (%1!s!) failed to store the UUID value in the message at the location specified by the %2!s! attribute of node %3!s!.  The element path is %4!s!.  Message propagated to failure terminal.
//
#define MJB_FAILED_TO_STORE_UUID_VALUE_IN_SYNTAX_ELEMENT ((int)0xC000000DL)

//
// MessageId: MJB_INCOMPATIBLE_SYNTAX_ELEMENT_SPECIFIED_FOR_UUID
//
// MessageText:
//
//  Broker (%1!s!) detected that the syntax element specified in the %2!s! property of node %3!s! is not suitable for storing the UUID value.  The element path is %4!s!.  If the element already exists in the message, it cannot be a NAME element and its data type must be BIT, BLOB or CHAR.  Message propagated to failure terminal.
//
#define MJB_INCOMPATIBLE_SYNTAX_ELEMENT_SPECIFIED_FOR_UUID ((int)0xC000000EL)

//
// MessageId: MJB_UNKNOWN_ERROR_WHEN_STORING_UUID
//
// MessageText:
//
//  Broker (%1!s!) detected an unexpected error when attempting to store the UUID value at the syntax element specified for the %2!s! property of node %3!s! is not suitable for storing the UUID value.  The element path is %4!s!.  Message propagated to failure terminal.
//
#define MJB_UNKNOWN_ERROR_WHEN_STORING_UUID ((int)0xC000000FL)

// End of Message Data
